Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java_cup.runtime
Class Symbol

    java.lang.Object
      java_cup.runtime.Symbol

    public class Symbol

extends java.lang.Object

Defines the Symbol class, which is used to represent all terminals and nonterminals while parsing. The lexer should pass CUP Symbols and CUP returns a Symbol.

Version:
  last updated: 7/3/96
Author:
  Frank Flannery

Field Summary
`int` | `left` The data passed to parser
`int` | `parse_state` The parse state to be recorded on the parse stack with this symbol.
`int` | `right` The data passed to parser
`int` | `sym` The symbol number of the terminal or non terminal being represented
`(package private) boolean` | `used_by_parser` This allows us to catch some errors caused by scanners recycling symbols.
`java.lang.Object` | `value`

Constructor Summary
`Symbol(int sym_num)` Constructor for no value or l,r
`Symbol(int sym_num, int state)` Constructor to give a start state
`Symbol(int id, int l, int r)` Constructor for no value
`Symbol(int id, int l, int r, java.lang.Object o)` Constructor for l,r values
`Symbol(int id, java.lang.Object o)` Constructor for no l,r values

Method Summary
`java.lang.String` | `toString()` Printing this token out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sym

    public int sym

  The symbol number of the terminal or non terminal being represented

### parse_state

    public int parse_state

  The parse state to be recorded on the parse stack with this symbol. This field is for the convenience of the parser and shouldn't be modified except by the parser.

### used_by_parser

    boolean used_by_parser

  This allows us to catch some errors caused by scanners recycling symbols. For the use of the parser only. [CSA, 23-Jul-1999]

### left

    public int left

  The data passed to parser

### right

    public int right

  The data passed to parser

### value

    public java.lang.Object value

Constructor Detail

### Symbol

    public Symbol(int id,
                  int l,
                  int r,
                  java.lang.Object o)

  Constructor for l,r values

### Symbol

    public Symbol(int id,
                  java.lang.Object o)

  Constructor for no l,r values

### Symbol

    public Symbol(int id,
                  int l,
                  int r)

  Constructor for no value

### Symbol

    public Symbol(int sym_num)

  Constructor for no value or l,r

### Symbol

    Symbol(int sym_num,
           int state)

  Constructor to give a start state

Method Detail

### toString

    public java.lang.String toString()

  Printing this token out. (Override for pretty-print).

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD